Draft: Invertire la direzione delle quote

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft FlipDimension and the translation is 21% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Pagina precedente: Draft Heal.svg Ripara
Pagina successiva: VisGroup Draft VisGroup.svg Arrow-right.svg

Draft FlipDimension.svg FlipDimension

Posizione nel menu
Draft → Utilità → Inverti la direzione
Ambiente
Draft, Arch
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Quotatura

Descrizione

Questo strumento capovolge il testo della Dimensione attorno alla linea di quota. Può essere usato per regolare l'aspetto della dimensione.

Utilizzo

  1. Selezionare uno o più oggetti Quotatura
  2. Andare nel menu Draft → Utilità → Draft FlipDimension.png Inverti la direzione.

Notes

La Dimensione ha anche una proprietà DatiFlip Text che, quando è true, ruota il testo di 180 gradi attorno alla direzione normale. Combinando queste due funzioni, capovolgendo la normale direzione e capovolgendo il testo, si è in grado di far apparire il testo correttamente in tutte le situazioni possibili.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To flip a Draft Dimension invert its Normal property.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 0, 0)
p3 = App.Vector(500, 300, 0)
dimension = Draft.make_dimension(p1, p2, p3)
dimension.ViewObject.FontSize = 200

dimension.Normal = dimension.Normal.negative()
doc.recompute()


Arrow-left.svg Pagina precedente: Draft Heal.svg Ripara
Pagina successiva: VisGroup Draft VisGroup.svg Arrow-right.svg